View Issue Details

IDProjectCategoryView StatusLast Update
0036468LazarusPackagespublic2019-12-24 08:40
ReporterCyrax Assigned ToJuha Manninen  
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
PlatformLinux x86_64OSArch 
Product Version2.1 (SVN) 
Summary0036468: [patch] Update some component packages to include "$(IDEBuildOptions)" macro in their compiler options settings. Part 2.
DescriptionSee summary and attached patch.
Tagspatch
Fixed in Revisionr62441
LazTarget-
Widgetset
Attached Files

Relationships

related to 0036439 closedMattias Gaertner [patch] Update some component packages to include "$(IDEOptions)" macro in their compiler options settings. 

Activities

Cyrax

2019-12-22 01:38

reporter  

components2.diff (4,081 bytes)   
diff --git a/components/datetimectrls/datetimectrls.lpk b/components/datetimectrls/datetimectrls.lpk
index 749f035135..7086284b2c 100644
--- a/components/datetimectrls/datetimectrls.lpk
+++ b/components/datetimectrls/datetimectrls.lpk
@@ -1,6 +1,6 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <CONFIG>
-  <Package Version="4">
+  <Package Version="5">
     <PathDelim Value="\"/>
     <Name Value="DateTimeCtrls"/>
     <Type Value="RunAndDesignTime"/>
@@ -17,8 +17,11 @@
           <OptimizationLevel Value="2"/>
         </Optimizations>
       </CodeGeneration>
+      <Other>
+        <CustomOptions Value="$(IDEBuildOptions)"/>
+      </Other>
     </CompilerOptions>
-    <Description Value="TDateTimePicker - the cross-platform control behaving much like VCL's TDateTimePicker. TDBDateTimePicker - the data-aware version of TDateTimePicker"/>
+    <Description Value="TDateTimePicker - the cross-platform control behaving much like VCL&apos;s TDateTimePicker. TDBDateTimePicker - the data-aware version of TDateTimePicker"/>
     <License Value="Modified LGPL"/>
     <Version Major="1" Minor="5" Release="1"/>
     <Files Count="4">
@@ -49,7 +52,6 @@
     </UsageOptions>
     <PublishOptions>
       <Version Value="2"/>
-      <IgnoreBinaries Value="False"/>
     </PublishOptions>
     <CustomOptions Items="ExternHelp" Version="2">
       <_ExternHelp Items="Count"/>
diff --git a/components/datetimectrls/design/datetimectrlsdsgn.lpk b/components/datetimectrls/design/datetimectrlsdsgn.lpk
index 18a39482a9..36be1d62aa 100644
--- a/components/datetimectrls/design/datetimectrlsdsgn.lpk
+++ b/components/datetimectrls/design/datetimectrlsdsgn.lpk
@@ -1,6 +1,6 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <CONFIG>
-  <Package Version="4">
+  <Package Version="5">
     <PathDelim Value="\"/>
     <Name Value="DateTimeCtrlsDsgn"/>
     <Type Value="RunAndDesignTime"/>
@@ -13,8 +13,11 @@
         <OtherUnitFiles Value="."/>
         <UnitOutputDirectory Value="lib\$(TargetCPU)-$(TargetOS)\$(LCLWidgetType)"/>
       </SearchPaths>
+      <Other>
+        <CustomOptions Value="$(IDEBuildOptions)"/>
+      </Other>
     </CompilerOptions>
-    <Description Value="TDateTimePicker - the cross-platform control behaving much like VCL's TDateTimePicker. TDBDateTimePicker - the data-aware version of TDateTimePicker"/>
+    <Description Value="TDateTimePicker - the cross-platform control behaving much like VCL&apos;s TDateTimePicker. TDBDateTimePicker - the data-aware version of TDateTimePicker"/>
     <License Value="Modified LGPL"/>
     <Version Major="1" Minor="5" Release="1"/>
     <Files Count="3">
diff --git a/components/multithreadprocs/multithreadprocslaz.lpk b/components/multithreadprocs/multithreadprocslaz.lpk
index a16850c3f0..c6c97c0e2e 100644
--- a/components/multithreadprocs/multithreadprocslaz.lpk
+++ b/components/multithreadprocs/multithreadprocslaz.lpk
@@ -1,18 +1,16 @@
-<?xml version="1.0"?>
+<?xml version="1.0" encoding="UTF-8"?>
 <CONFIG>
-  <Package Version="4">
+  <Package Version="5">
     <Name Value="MultiThreadProcsLaz"/>
+    <Type Value="RunAndDesignTime"/>
     <Author Value="Mattias Gaertner  mattias@freepascal.org"/>
     <CompilerOptions>
-      <Version Value="10"/>
+      <Version Value="11"/>
       <SearchPaths>
         <UnitOutputDirectory Value="lib/$(TargetCPU)-$(TargetOS)"/>
       </SearchPaths>
       <Other>
-        <CompilerMessages>
-          <UseMsgFile Value="True"/>
-        </CompilerMessages>
-        <CompilerPath Value="$(CompPath)"/>
+        <CustomOptions Value="$(IDEBuildOptions)"/>
       </Other>
     </CompilerOptions>
     <Description Value="Running procedures and methods parallel via a thread pool."/>
@@ -32,7 +30,6 @@
         <UnitName Value="MTPCPU"/>
       </Item3>
     </Files>
-    <Type Value="RunAndDesignTime"/>
     <RequiredPkgs Count="1">
       <Item1>
         <PackageName Value="FCL"/>
@@ -45,7 +42,6 @@
     </UsageOptions>
     <PublishOptions>
       <Version Value="2"/>
-      <IgnoreBinaries Value="False"/>
     </PublishOptions>
   </Package>
 </CONFIG>
components2.diff (4,081 bytes)   

Juha Manninen

2019-12-23 22:01

developer   ~0120046

Applied, thanks.

Issue History

Date Modified Username Field Change
2019-12-22 01:38 Cyrax New Issue
2019-12-22 01:38 Cyrax File Added: components2.diff
2019-12-22 01:38 Cyrax Tag Attached: patch
2019-12-22 14:18 Juha Manninen Relationship added related to 0036439
2019-12-23 22:01 Juha Manninen Assigned To => Juha Manninen
2019-12-23 22:01 Juha Manninen Status new => assigned
2019-12-23 22:01 Juha Manninen Status assigned => resolved
2019-12-23 22:01 Juha Manninen Resolution open => fixed
2019-12-23 22:01 Juha Manninen Fixed in Revision => r62441
2019-12-23 22:01 Juha Manninen LazTarget => -
2019-12-23 22:01 Juha Manninen Note Added: 0120046
2019-12-24 08:40 Cyrax Status resolved => closed